#ifndef FVM_UPDATE_H
#define FVM_UPDATE_H

#include <stddef.h>
#include <ct/string.h>

typedef struct {
    const char *ptr;
    size_t length;
} fvm_buf_t;

typedef struct {
    fvm_buf_t buf;
} fvm_update_t;

fvm_update_t *fvm_update_create(ct_string_t data);
fvm_update_t *fvm_update_merge(fvm_update_t *base, fvm_update_t *patch);
void fvm_update_destroy(fvm_update_t *update);

#endif
